<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.12">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="5.0.10" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\APT.BaseData.Data\APT.BaseData.Data.csproj" />
    <ProjectReference Include="..\APT.MS.Data\APT.MS.Data.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="APT.Infrastructure.Core">
      <HintPath>..\dll\APT.Infrastructure.Core.dll</HintPath>
    </Reference>
    <Reference Include="APT.Infrastructure.EF">
      <HintPath>..\dll\APT.Infrastructure.EF.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
